@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

* {
    padding: 0;
    margin: 0;
    list-style-type: none;
    text-decoration: none;
}


/* Header Logo */
/* Typography in header */
/* Slider */
/* IG play button */

:root {
    /* Colors */
    --primary-color: #A67B5B;
    --secondary-color: #6F4E37;

    --accent-color: #FED8B1;
    --secondary-accent-color: #ECB176;

    --black-color: #000000;
    --light-black-color: #151515;

    --dark-blue-color: #1D2434;

    --white-color: #ffffff;
    --grey-white-color: #F8F8F8;

    --footer-text-color: #BFCCCC;

    /* Font Family */
    --regular-font: "Open Sans", sans-serif;
    --heading-font: "Bebas Neue", sans-serif;

    /* Font Weight */
    --fw-regular: 500;
    --fw-strong: 600;
    --fw-bold: 700;
    --fw-bolder: 800;

    /* Font Size Variation */
    --fs10: 0.7rem;
    --fs50: 0.9rem;
    --fs100: 1rem;
    --fs150: 1.1rem;
    --fs200: 1.2rem;
    --fs250: 1.35rem;
    --fs300: 1.5rem;
    --fs350: 1.8rem;
    --fs400: 2rem;
    --fs450: 2.3rem;
    --fs500: 2.5rem;
    --fs550: 2.8rem;
    --fs600: 3rem;
    --fs650: 3.2rem;
    --fs700: 3.5rem;
    --fs750: 3.8rem;
    --fs800: 4rem;
    --fs850: 4.5rem;
    --fs900: 4.8rem;

    /* Utility Properties */

}

html {
    scroll-behavior: smooth;
}

html::-webkit-scrollbar {
    width: 0.4rem;
    background: var(--white-color);
}

html::-webkit-scrollbar-thumb {
    border-radius: 4rem;
    background: var(--primary-color);
}

html::-webkit-scrollbar-thumb:hover {
    background: var(--accent-color);
}

body {
    width: 100%;
    height: 100%;
    font-family: var(--regular-font);
}

main section {
    min-height: 50vh;
    max-width: 100%;
}

main section .content_container .section_heading h1 {
    font-family: var(--heading-font);
    font-size: var(--fs650);
    letter-spacing: 0.05rem;
}

main header {
    width: 100%;
    height: 6.2rem;
    padding: 1% 4%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: transparent;
    overflow: hidden;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    transition: background .5s ease-in-out;
}

main header.scrolled {
    background: var(--light-black-color);
}

main header .logo img {
    width: 50%;
}

main header nav,
main header nav ul {
    display: flex;
    align-items: center;
    /* gap: 2rem; */
}

main header nav ul li a {
    color: var(--white-color);
    padding: 2.25rem;
    position: relative;
    transition: all .5s ease;
    font-family: var(--regular-font);
    transition: color .5s ease-in-out;
}

main header nav ul li a.scrolled {
    color: var(--white-color);
}

main header nav ul li a:hover {
    color: var(--primary-color);
}

main header nav ul li:hover a::before {
    content: '';
    border: 0.1rem solid var(--primary-color);
    width: 1rem;
    position: absolute;
    bottom: 25%;
    left: 27.5%;
    transform: rotate(-50deg);
}

main header nav ul li:hover a::after {
    content: '';
    border: 0.1rem solid var(--primary-color);
    width: 1rem;
    position: absolute;
    top: 30%;
    left: 55%;
    transform: rotate(-50deg);
}

main header nav ul #checked a {
    color: var(--primary-color);
}

main header nav ul #checked a::before {
    content: '';
    border: 0.1rem solid var(--primary-color);
    width: 1rem;
    position: absolute;
    bottom: 25%;
    left: 27.5%;
    transform: rotate(-50deg);
}

main header nav ul #checked a::after {
    content: '';
    border: 0.1rem solid var(--primary-color);
    width: 1rem;
    position: absolute;
    top: 30%;
    left: 55%;
    transform: rotate(-50deg);
}

main header nav .cta_btn a {
    padding: 1rem;
    background: var(--accent-color);
    color: var(--black-color);
    font-family: var(--heading-font);
    font-weight: var(--fw-regular);
    font-size: var(--fs250);
    text-transform: uppercase;
    transition: all .8s ease;
    box-shadow: inset 0 0 0 0 var(--white-color);
}

main header nav .cta_btn a:hover {
    color: var(--white-color);
    /* background: var(--primary-color); */
    box-shadow: inset 180px 0 0 0 var(--primary-color);
}

main header .mobile_nav {
    position: fixed;
    right: 0;
    top: 0;
    z-index: 999;
    justify-content: center;
    align-content: center;
    text-align: center;
    min-height: 100vh;
    width: 50%;
    background: var(--black-color);
    flex-direction: column;
    display: none;
    transition: all .5s ease;
}

main header .mobile_nav ul {
    flex-direction: column;
    gap: 3rem;
    margin-bottom: 3rem;
}

main header .menu_block {
    display: none;
}

main header .menu_block svg {
    width: 2rem;
    height: 2rem;
    fill: var(--white-color);
    cursor: pointer;
}

main header .menu_block svg:hover {
    fill: var(--primary-color);
}

main .hero {
    min-height: 100vh;
    width: 100%;
    /* background: url(Images/hero\ image.png) no-repeat top; */
    background-image: linear-gradient(#00000090, #00000090 ), url(../images/hero/hero-desktop.jpg);
    background-size: cover;
    background-attachment: fixed;
}

main .hero .content_container {
    padding: 0 4%;
    /* position: absolute; */
    /* top: 50%; */
    /* left: 25%; */

    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;

    text-align: center;
    max-width: 100%;
    height: 100vh;
    color: var(--white-color);
}

main .hero .content_container .content_wrapper div {
    margin-bottom: 0.5rem;
}

main .hero .content_container .content_wrapper .content_heading h1 {
    font-size: var(--fs600);
    font-family: var(--heading-font);
    letter-spacing: 0.05rem;
    /* max-width: 100%; */
}

main .hero .content_container .content_wrapper .content_text p {
    font-size: var(--fs100);
    margin-bottom: 1rem;
    /* width: 100ch; */
}

main .hero .content_container .cta_btn {
    margin-top: 2rem;
}

main .hero .content_container .cta_btn a {
    padding: 0.8rem 2rem;
    background: transparent;
    border: 0.1rem solid var(--accent-color);
    font-family: var(--heading-font);
    font-size: var(--fs250);
    color: var(--white-color);
    position: relative;
    transition: background .5s ease-in-out;
}

main .hero .content_container .cta_btn a::before {
    content: '';
    /* border: 0.1rem solid var(--accent-color); */
    display: block;
    height: 0.1rem;
    width: 2rem;
    position: absolute;
    background: var(--accent-color);
    left: -7%;
    top: 50%;  
}

main .hero .content_container .cta_btn a::after {
    content: '';
    /* border: 0.1rem solid var(--accent-color); */
    display: block;
    height: 0.1rem;
    width: 2rem;
    position: absolute;
    background: var(--accent-color);
    right: -7%;
    top: 50%;
}

main .hero .content_container .cta_btn:hover a::after, 
main .hero .content_container .cta_btn:hover a::before {
    background: var(--white-color);
}

main .hero .content_container .cta_btn a:hover {
    background: var(--primary-color);
    border: 0.1rem solid var(--white-color);
}


main .about {
    padding: 4% 6.5%;
}

main .about .content_container {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    overflow: hidden;
}

main .about .content_container .content_image {
    flex: 1 1 50%;
}

main .about .content_container .content_image img {
    width: 100%;
    max-width: 550px;
}

main .about .content_container .content_text {
    flex: 1 1 40%;
    position: relative;
}

main .about .content_container .content_text div {
    margin-bottom: 1rem;
}

main section .content_container .section_heading h1 {
    font-family: var(--heading-font);
    font-size: var(--fs650);
    letter-spacing: 0.05rem;
}

main .about .content_container .content_text .section_text {
    /* width: 60ch; */
}

main .about .content_container .content_text .section_text p:first-of-type{
    padding-bottom: 1rem;
    line-height: 1.9rem;
    font-size: var(--fs150);
}

main .about .content_container .content_text .section_text p:last-of-type {
    font-weight: var(--fw-strong);
    font-size: var(--fs150);
}

main .about .content_container .content_text .section_signature img {
    max-width: 200px;
}

main .about .content_container .content_text::after {
    content: url(../images/gallery/about\ before.webp);
    position: absolute;
    bottom: -40%;
    right: 30%;
    width: 100%;
    z-index: -1;
}

main .services .content_container {
    padding: 4% 6.5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    align-items: center;
    text-align: center;
}

main .services .content_container .content_heading {
    padding-bottom: 3rem;
}

main .services .content_container .content_card .row {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    gap: 1rem;
    padding-bottom: 1rem;
}

main .services .content_container .content_card .row .flex_card {
    padding: 3rem;
    background: var(--grey-white-color);
    flex: 1 1 20%;
}

main .services .content_container .content_card .row .flex_card div {
    padding-bottom: 1rem;
}

main .services .content_container .content_card .row .flex_card .heading {
    font-family: var(--heading-font);
    font-size: var(--fs250);
    letter-spacing: 0.05rem;
    line-height: 1.9rem;
}

main .services .content_container .content_card .row .flex_card .icon {
    /* position: relative; */

    display: flex;
    justify-content: center;
    align-items: center;
}

main .services .content_container .content_card .row .flex_card .icon svg {
    width: 80px;
    height: 80px;
    padding: 1.5rem;
    fill: var(--white-color);
    background: var(--dark-blue-color);
    transition: all .5s ease-in-out;


}

main .services .content_container .content_card .row .flex_card:hover .icon svg {
    background: var(--primary-color);
    transition: .5s ease-in-out;
}
/* 
main .services .content_container .content_card .row .flex_card .icon::after {
    content: url(Images/services\ before.webp);
    position: absolute;
    width: 100%;
    right: -15%;
    top: -25%;
    z-index: -1;
} */

main .team .content_container {
    padding: 4% 6.5% 8%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    align-items: center;
    text-align: center;
    overflow: hidden;
}

main .team .content_container .content_card {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1.5rem;
    flex-wrap: wrap;
}

main .team .content_container .content_card .flex_card {
    flex: 1 1 25%;
    height: 100%;
    position: relative;
    cursor: default;
    /* max-width: 390px; */
    /* overflow: hidden; */
}

/* intro */
/* main .team .content_container .content_card .flex_card .card_image {
    width: 100%;
} */
/* outro */

main .team .content_container .content_card .flex_card .card_image img {
    /* aspect-ratio: 9/12; */
    width: 100%;
    height: 450px;
    object-position: center;
    object-fit: cover;
    /* height: 100%; */
}

/* main .team .content_container .content_card .flex_card .card_image img:hover {
    transform: scale(1.1);
    transition: transform .8s ease-in-out;
} */

main .team .content_container .content_card .flex_card .card_info {
    background: url(../images/gallery/before\ caption\ before\ black.webp) no-repeat center;
    background-size: contain;
    width: 350px;
    height: 150px;
    color: var(--white-color);
    position: absolute;
    bottom: -13%;
    left: 0%;
    right: 0%;
    margin: 0 auto;
    padding-top: 3rem;
    transition: .5s ease-in-out;
}

main .team .content_container .content_card .flex_card:hover .card_info {
    background: url(../images/gallery/barber\ caption\ before.webp) no-repeat center;
    background-size: contain;
    width: 350px;
    height: 150px;
    cursor: pointer;
    color: var(--black-color);
}

main .team .content_container .content_card .flex_card .card_info h4 {
    font-family: var(--heading-font);
    letter-spacing: 0.08rem;
    font-size: var(--fs250);
}


main .pricing .content_container {
    padding: 4% 6.5%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-content: center;
    align-items: center;
    overflow: hidden;
}

main .pricing .content_container .content_image {
    flex: 1 1 40%;
    /* justify-content: center; */
}

main .pricing .content_container .content_image img {
    width: 100%;
    max-width: 400px;
}

main .pricing .content_container .content_text {
    flex: 1 1 60%;
}

main .pricing .content_container .content_text .section_accordion {
    width: 100%;
}

main .pricing .content_container .content_text .section_accordion ul {
    width: 100%;
    height: 100%;
}

main .pricing .content_container .content_text .section_accordion ul li {
    width: 100%;
    background: inherit;
    margin: 0 auto 0.5rem;
}

main .pricing .content_container .content_text .section_accordion ul li label {
    padding: 0.5rem 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: var(--fs200);
    line-height: 2rem;
    cursor: pointer;
    margin: 0 auto 1rem;
    font-weight: var(--fw-bold);
    background: var(--primary-color);
    color: var(--white-color);
    border-bottom: 1px solid #E6E6E6;
}

main .pricing .content_container .content_text .section_accordion ul li label::after {
    content: '+';
    font-size: 1.5rem;
    font-weight: bold;
}

main .pricing .content_container .content_text input[type="radio"] {
    display: none;
}

main .pricing .content_container .content_text .section_accordion ul li .content {
    line-height: 24px;
    max-height: 0;
    overflow: hidden;
    transition: max-height .5s ease, padding .5s ease;
}

main .pricing .content_container .content_text .section_accordion ul li .content ul li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid var(--dark-blue-color);
}

main .pricing .content_container .content_text .section_accordion ul li .content ul li span {
    padding: 0.5rem;
}

main .pricing .content_container .content_text .section_accordion ul li .content ul li .left {
    font-weight: var(--fw-strong);
}

main .pricing .content_container .content_text .section_accordion ul li .content ul li .right span {
    color: var(--secondary-color);
    font-weight: var(--fw-bold);
}

main .pricing .content_container .content_text input[type="radio"]:checked + .content {
    max-height: 400px;
}



main .gallery .content_container {
    padding: 4% 6.5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    align-items: center;
    text-align: center;
    overflow: hidden;    
    max-width: 100%;

    
}

main .gallery .content_container .content_heading .section_heading h1 {
    /* width: 38ch; */
}

main .gallery .content_container .content_image .grid_gallery {
    width: 100%;
}

main .gallery .content_container .content_image .grid_gallery .row {
    width: 100%;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1rem;
    padding-bottom: 2rem;

    /* display: grid; */
    /* grid-template-columns: repeat(3, 1fr); */
    /* grid-template-columns: repeat(auto-fit, minmax(350px, 1fr)); */
}

main .gallery .content_container .content_image .grid_gallery .row .box {
    background-size: cover;
    border: 0.1rem solid var(--accent-color);
    /* width: 100%; */
    width: 600px;
    height: 400px; 
    object-fit: cover;
    object-position: center;
}


main .gallery .content_container .content_image .grid_gallery .one .img_one {
    background: url(../images/gallery/gallery\ 1.webp) no-repeat center;
    background-size: cover;
    background-position: center;
    flex: 1 1 30%;
}

main .gallery .content_container .content_image .grid_gallery .one .img_two {
    background: url(../images/gallery/gallery\ 2.webp) no-repeat center;
    background-size: cover;
    background-position: center;
    flex: 1 1 57%;
}

main .gallery .content_container .content_image .grid_gallery .two .img_one {
    background: url(../images/gallery/gallery\ 3.webp) no-repeat center;
    background-size: cover;
    background-position: center;
    flex: 1 1 57%;
}

main .gallery .content_container .content_image .grid_gallery .two .img_two {
    background: url(../images/gallery/gallery\ 4.webp) no-repeat center; 
    background-size: cover;
    background-position: center;
    flex: 1 1 30%;
}

main .reviews {
    background: linear-gradient(#000000, #00000090 ), url(../images/gallery/review\ bg.webp) no-repeat center;
    background-attachment: fixed;
}

main .reviews .content_container {
    padding: 4% 6.5%;
    /* display: flex; */
    justify-content: center;
    align-content: center;
    align-items: center;
    overflow: hidden;
}

main .reviews .content_container .content_wrapper {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

main .reviews .content_container .content_wrapper .flex_card {
    flex: 1 1 50%;
    height: 100%;
    max-width: 500px;
    /* padding: 2rem 2rem 2rem 0; */
    /* border: 0.1rem solid var(--accent-color); */
}

main .reviews .content_container .content_wrapper .flex_card .text p {
    font-size: var(--fs50);
}

main .reviews .content_container .content_wrapper .flex_card .quote_image svg {
    fill: var(--white-color);
    width: 40px;
    height: 40px;
    padding: 0.5rem;
    border: 0.1rem solid var(--white-color);
    border-radius: 50%;
}

main .reviews .content_container .content_wrapper .flex_card div {
    margin-bottom: 1rem;
}

main .reviews .content_container .content_wrapper .flex_card .text {
    color: var(--white-color);
    /* width: 50ch; */
}

main .reviews .content_container .content_wrapper .flex_card .client_name {
    color: var(--accent-color);
    font-weight: var(--fw-strong);
}



footer {
    background: var(--light-black-color);
    min-height: 60vh;
}

footer .content_container {
    padding: 4% 6.5% 1%;
    /* display: flex; */
    flex-direction: column;
    justify-content: space-between;
    align-content: center;
    align-items: center;
    text-align: center;
    overflow: hidden;    
    max-width: 100%;
    color: var(--white-color);
}

footer .content_container .container {
    margin-top: 2.5rem;
}

footer .content_container .footer_cols {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-between;
}

footer .content_container .footer_cols .col {
    flex: 1 1 25%;
    max-width: 300px;
    height: 100%; 
}

footer .content_container .footer_cols .col .svg_icons svg {
    width: 30px;
    height: 30px;
    fill: var(--primary-color);
}

footer .content_container .footer_cols .col div {
    margin-top: 0.5rem;
}

footer .content_container .footer_cols .col .section_heading h1 {
    font-family: var(--heading-font);
    letter-spacing: 0.05rem;
}

footer .content_container .footer_cols .about {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

footer .content_container .footer_cols .about .logo {
    display: flex;
    justify-content: center;
    align-items: center;
}

footer .content_container .footer_cols .about .logo img {
    width: 55%;
}

footer .content_container .footer_cols .about .content_text {
    width: 30ch;
    color: var(--footer-text-color);
    opacity: 0.6;
}

footer .content_container .footer_cols .add_on {
    text-align: left;
}

footer .content_container .footer_cols .add_on .content_text span {
    text-align: left;
    display: block;
    color: var(--footer-text-color);
    opacity: 0.6;
}

footer .content_container .footer_cols .add_on .content_text span a {
    color: var(--footer-text-color);
    transition: color .5s ease-in-out;
}

footer .content_container .footer_cols .add_on .content_text span a:hover {
    color: var(--white-color);
    opacity: 1;
    text-decoration: underline;
}

footer .content_container .social_links ul {
    display: flex;
    gap: 1rem;
    justify-content: center;
}

footer .content_container .social_links ul li a {
    color: var(--accent-color);
}

footer .content_container .social_links ul li a svg {
    width: 40px;
    height: 40px;
}

footer .content_container .line hr {
    width: 100%;
    border: none;
    height: 0.01rem;
    background: var(--accent-color);
}

footer .content_container .credits small a {
    color: var(--primary-color);
    font-size: var(--fs100);
}